Subject: Re: bug#44080: 27.1; Display behavior of overlays `after-string` in resizable minibuffer frames

From: Clemens <[email-masked]>
Date: Tue, 20 Oct 2020 17:19:22 +0200

> We could do the same in 'fit-frame-to-buffer' but this would be an
> incompatible change for the latter.  Can you nevertheless try running
> with such a change so we can tell whether it fixes the problem?  If it
> does fix it, we can either provide a separate 'fit-mini-frame-to-buffer'
> function or a further option to set the function 'fit-frame-to-buffer'
> calls to get the size of the frame's root window.

Setting the third argument of `window-text-pixel-size` to `nil` fixes 
it. Thank you both for the quick response and your help finding the 
cause of this! Having a size function sounds good to me, ideally it 
would already default to avoid skipping whitespace in minibuffers if 
your think that is reasonable.